Skip to main content
POST
/
v2
/
alert_events
/
http
/
{alert_source_config_id}
CreateHTTP
curl --request POST \
  --url https://api.incident.io/v2/alert_events/http/{alert_source_config_id} \
  --header 'Content-Type: application/json' \
  --data @- <<EOF
{
  "deduplication_key": "4293868629",
  "description": "We've detected a number of timeouts on hello.world.com, the service may be down. To fix...",
  "metadata": {
    "service": "hello.world.com",
    "team": [
      "my-team"
    ]
  },
  "source_url": "https://www.my-alerting-platform.com/alerts/my-alert-123",
  "status": "firing",
  "title": "*errors.withMessage: PG::Error failed to connect"
}
EOF
{
  "deduplication_key": "unique-key",
  "message": "Event accepted for processing",
  "status": "success"
}

Path Parameters

alert_source_config_id
string
required

Which alert source config produced this alert

Example:

"01GW2G3V0S59R238FAHPDS1R66"

Query Parameters

token
string

Token used to authenticate the request, generated when configuring the alert source. Will be consumed via a URL query string parameter

Example:

"some-random-string"

Body

application/json
status
enum<string>
required

Current status of this alert

Available options:
firing,
resolved
Example:

"firing"

title
string
required

The title of the alert, parsed from the alert payload according to the alert source configuration

Example:

"*errors.withMessage: PG::Error failed to connect"

deduplication_key
string

A deduplication key which uniquely references this alert from your alert source. For newly created HTTP sources, this field is required. If you send an event with the same deduplication_key multiple times, only one alert will be created in incident.io for this alert source config. You can filter on this field to find the alert created by an event you've sent us.

Example:

"4293868629"

description
string

Description that optionally adds more detail to title. Supports markdown.

Example:

"We've detected a number of timeouts on hello.world.com, the service may be down. To fix..."

metadata
object

Any additional metadata that you've configured your alert source to parse

Example:
{
"service": "hello.world.com",
"team": ["my-team"]
}
source_url
string

If applicable, a link to the alert in the upstream system

Example:

"https://www.my-alerting-platform.com/alerts/my-alert-123"

Response

202 - application/json

Accepted response.

deduplication_key
string
required

The deduplication key that the event has been processed with

Example:

"unique-key"

message
string
required

Human readable message giving detail about the event

Example:

"Event accepted for processing"

status
string
required

Status of the event

Example:

"success"